//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                          HTMLBlockquoteElement Interface
//**************************************************************************

function HTMLBlockquoteElement()
{
   var tests = new Array (HTML0001HBQE());
   return tests;
}

//------------------------ test case HTML-0001HBQE -------------------------
//
// Testing feature - The "cite" attribute specifies  a describes the reason
//                   for the change.
//
// Testing approach - Retrieve the "cite" attribute from the first 
//                    BLOCKQUOTE element of the testing document and 
//                    examine its value.
//
// Semantic Requirements: 1
//
// Last modification date - September 15, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HBQE()
 {
   var computedValue = "";
   var expectedValue = "./FILES/REASONS.HTML";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HBQE");
    results.description = "The \"cite\" attribute specifies a URI "+
                          "designating a document that describes "+
                          "the reason for the change.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BLOCKQUOTE,SECOND);
//
// and access its "cite" attribute.
//
      computedValue = testNode.node.cite;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HBQE -------------------------
