//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                             HTMLParagraphElement Interface
//**************************************************************************

function HTMLParagraphElement()
{
   var tests = new Array (HTML0001HPE());
   return tests;
}

//------------------------ test case HTML-0001HPE -------------------------
//
// Testing feature - The "clear" attribute of an HTMLParagraphElement
//                   interface.
//
// Testing approach - Retrieve the "align" attribute from the first 
//                    P element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 1
//
// Last modification date - August 17, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HPE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HPE");
    results.description = "The \"align\" attribute specifies the horizontal "+
                          "text alignment.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(P);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HPE --------------------------
