//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLPreElement Interface
//**************************************************************************

function HTMLPreElement()
{
   var tests = new Array (HTML0001HPRE());
   return tests;
}

//------------------------ test case HTML-0001HPRE -------------------------
//
// Testing feature - The "width" attribute specifies the fixed width of
//                   the content.
//
// Testing approach - Retrieve the "width" attribute from the first 
//                    PRE element of the testing document and examine
//                    its value. It should be equal to 277 
//
// Semantic Requirements: 1
//
// Last modification date - September 7, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HPRE()
 {
   var computedValue = "";
   var expectedValue = 277;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HPRE");
    results.description = "The \"width\" attribute specifies the "+
                          "fixed width of the content.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(PRE);
//
// and access its "width" attribute.
//
      computedValue = testNode.node.width;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HPRE -------------------------
